> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/ja/paburissh/exoclick-rtb/bid-response.md).

# ExoClick RTB Bidレスポンス

以下のページでは、ExoClick RTBリクエストから受け取ることが期待されるレスポンスについて説明します：

## ビッドレスポンスオブジェクト

ExoClick RTBの入札レスポンスはJSONとXMLを使用して行われます。

| 属性          | 説明                                                                                     |
| ----------- | -------------------------------------------------------------------------------------- |
| id          | この入札が適用されるオブジェクトのID（文字列）                                                               |
| imgUrl      | 画像URL（typeがbannerの場合のみ）（文字列）                                                           |
| iconUrl     | アイコンURL（typeがpush\_notificationの場合のみ、かつ要求されたサイズである必要があります）（文字列）                        |
| clickUrl    | キャンペーンがクリックされたときの転送先URL（typeがbannerまたはpush\_notificationの場合）（文字列）                      |
| nUrl        | 勝利通知URL（文字列）                                                                           |
| url         | キャンペーンがクリックされたときの転送先URL（typeがpopunderの場合のみ）（文字列）                                       |
| title       | 広告のタイトル（typeがpush\_notificationの場合のみ）（文字列）                                             |
| description | 広告の説明（typeがpush\_notificationの場合のみ）（文字列）                                               |
| value       | CPMでの入札価格（浮動小数点数）                                                                      |
| btype       | 価格モデル。値: 1 = CPM、2 = CPC。デフォルト = 1（int）。応答が Email Clicks ゾーンのリクエスト向けの場合、1 = Smart CPC。 |

**注:**

* `"id"` 属性は次のものと一致している必要があります **「リクエストで受信したid」**.
* **プッシュ通知** 広告フォーマットは CPC 価格モデルでの入札を受け付ける場合があります。 **ダイレクトリンク** フォーマットは、〜に使用される場合にも **Email Click** ゾーンリクエスト。

## 勝利通知

パラメータが **入札レスポンスオブジェクト > nUrl** 入札レスポンスに含まれている場合、そのURLに対してGETリクエストを実行する必要があります。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/ja/paburissh/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
